EDIT - bug #7249

NameTypeDesignationEditor delete not working
02/06/2018 03:17 PM - Andreas Kohlbecker

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Kohlbecker % Done: 100%
Category: cdm-vaadin Estimated time: 0:00 hour
Target version: Release 5.0

Severity: critical Found in Version:

Description

even after the changes applied in cdm-vaadin|3b66edef delete is not working

Associated revisions

Revision 3b66edef - 02/06/2018 03:15 PM - Andreas Kohlbecker

ref #6740 enabling typeName button in NameTypeDesignation editor and first changes to make delete working

Revision 85b0276d - 02/16/2018 01:27 PM - Katja Luther

fix #7249: deleteTypeDesignation needs to be transactional

Revision a4ea6502 - 02/16/2018 01:55 PM - Katja Luther

fix #7249: deleteTypeDesignation for uuids needs to be transactional

Revision 1ce096c2 - 02/16/2018 01:56 PM - Katja Luther

ref #7249: deleteTypedesignation should be called witg uuid parameter

Revision 4124987e - 03/22/2018 12:14 PM - Andreas Kohlbecker
fix #7249

History

#1 - 02/06/2018 03:19 PM - Andreas Kohlbecker

- Description updated

#2 - 02/09/2018 10:35 AM - Andreas Kohlbecker

- Description updated

#3 - 02/09/2018 10:48 AM - Andreas Kohlbecker
- Status changed from New to Feedback

- Assignee changed from Andreas Kohlbecker to Katja Luther

Hi Katja,
how can | delete NameTypeDesignations?
the below code does not work:

@Override
protected void deleteBean (NameTypeDesignation bean) {
DeleteResult deletResult = getRepo () .getNameService () .deleteTypeDesignation (typifiedNameInContext,
bean) ;

}

#4 - 02/16/2018 01:28 PM - Katja Luther
- Status changed from Feedback to Resolved

- % Done changed from 0 to 50
Applied in changeset cdmlib|85b0276d8821c¢39d875efac1fa62c8375fe10dd2.

#5 - 02/16/2018 01:28 PM - Katja Luther
- Status changed from Resolved to Feedback

- % Done changed from 50 to 0

this should work now. in tax editor it works as expected.

#6 - 02/16/2018 01:29 PM - Katja Luther
- Status changed from Feedback to Resolved

- Assignee changed from Katja Luther to Andreas Kohlbecker

please review

#7 - 02/16/2018 01:43 PM - Katja Luther
- Status changed from Resolved to In Progress

- Assignee changed from Andreas Kohlbecker to Katja Luther

now there is a exception when opening the taxon or name after deleting the type designation:

'ENTRY org.eclipse.ui 4 0 2018-02-16 13:41:24.765
IMESSAGE This is an unexpected error.
Please contact EDIT Support (EditSupport@bgbm.org) with the error trace below (click on the 'Details' button).
I'STACK O
java.lang.Exception: login : admin
editor version : 4.15.0.qualifier
server : localhost (localhost-dev)
schema version : 4.7.0.0.201710040000
os : Windows 7 6.1 amd64
java : 1.8.0_121
org.eclipse.swt.SWIException: Failed to execute runnable (eu.etaxonomy.taxeditor.remoting.CdmEagerLoadingExcep
tion: org.hibernate.ObjectNotFoundException: No row with the given identifier exists: [eu.etaxonomy.cdm.model.
name.TypeDesignationBase#41]
at org.eclipse.swt.SWT.error (SWT. java:4533)
at org.eclipse.swt.SWT.error (SWT. java:4448)
at org.eclipse.swt.widgets.Synchronizer.runAsyncMessages (Synchronizer. java:185)
at org.eclipse.swt.widgets.Display.runAsyncMessages (Display.java:4211)
at org.eclipse.swt.widgets.Display.readAndDispatch (Display.java:3827)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine$4.run (PartRenderingEngine. java:1121)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.e4.ui.internal.workbench.swt.PartRenderingEngine.run (PartRenderingEngine. java:1022)
at org.eclipse.ed.ui.internal.workbench.E4Workbench.createAndRunUI (E4Workbench. java:150)
at org.eclipse.ui.internal.Workbench$5.run (Workbench. java:693)
at org.eclipse.core.databinding.observable.Realm.runWithDefault (Realm. java:336)
at org.eclipse.ui.internal.Workbench.createAndRunWorkbench (Workbench. java:610)
at org.eclipse.ui.PlatformUI.createAndRunWorkbench (PlatformUI. java:148)
at eu.etaxonomy.taxeditor.Application.start (Application.java:24)
at org.eclipse.equinox.internal.app.EclipseAppHandle.run (EclipseAppHandle. java:196)
at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.runApplication (EclipseAppLauncher. java:134

at org.eclipse.core.runtime.internal.adaptor.EclipseAppLauncher.start (EclipseAppLauncher. java:104)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run (EclipseStarter. java:388)

at org.eclipse.core.runtime.adaptor.EclipseStarter.run(EclipseStarter.java:243)

at sun.reflect.NativeMethodAccessorImpl.invoke0 (Native Method)

at sun.reflect.NativeMethodAccessorImpl.invoke (Unknown Source)

at sun.reflect.DelegatingMethodAccessorImpl.invoke (Unknown Source)

at java.lang.reflect.Method.invoke (Unknown Source)

at org.eclipse.equinox.launcher.Main.invokeFramework (Main. java:673)

at org.eclipse.equinox.launcher.Main.basicRun (Main.java:610)

at org.eclipse.equinox.launcher.Main.run (Main.java:1519)

at org.eclipse.equinox.launcher.Main.main (Main. java:1492)
Caused by: eu.etaxonomy.taxeditor.remoting.CdmEagerLoadingException: org.hibernate.ObjectNotFoundException: No
row with the given identifier exists: [eu.etaxonomy.cdm.model.name.TypeDesignationBase#41]

at org.hibernate.collection.internal.AbstractPersistentCollection.remoteInitialize (AbstractPersistentColle
ction. java:1358)

at org.hibernate.collection.internal.AbstractPersistentCollection.initialize (AbstractPersistentCollection.
java:627)

at org.hibernate.collection.internal.AbstractPersistentCollection.read (AbstractPersistentCollection. java:l
67)
eu.etaxonomy.taxeditor.view.detail.CdmSectionPart.setFormInput (CdmSectionPart. java:155)
org.eclipse.ui.forms.ManagedForm.setInput (ManagedForm. java:210)

refresh (AbstractCdmDataViewerE4. java:156)
setInput (DetailsViewerE4. java:187)
getRowFromResultSet (Loader. java:738)
type.EntityType.resolve (EntityType.java:424)

collection.internal.PersistentSet.readFrom(PersistentSet.java:310)

hgl.internal.ast.QueryTranslatorImpl.list (QueryTranslatorImpl.java:371)
engine.query.spi.HQLQueryPlan.performList (HQLQueryPlan. java:216)
sun.reflect.NativeMethodAccessorImpl.invokeO (Native Method)

sun.reflect.NativeMethodAccessorImpl.invoke (NativeMethodAccessorImpl. java:62)
sun.reflect.DelegatingMethodAccessorImpl.invoke (DelegatingMethodAccessorImpl. java:43)
javax.servlet.http.HttpServlet.service (HttpServlet. java:707)
ction. java:1340)
. 41 more

#8 - 02/16/2018 01:44 PM - Andreas Kohlbecker

- Target version changed from Release 4.14 to Release 5.0

#9 - 02/16/2018 01:56 PM - Katja Luther
- Status changed from In Progress to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlibladea650264157dff61c6e4e351f9d1bf6aa79bb7.

#10 - 02/16/2018 01:58 PM - Katja Luther
- Status changed from Resolved to In Progress
- Target version changed from Release 5.0 to Release 4.14

- % Done changed from 50 to 0

deleteTypedesignation(uuid, uuid) needs to be called so the name is loaded in the transaction of the method and is saved.

#11 - 02/16/2018 01:58 PM - Katja Luther
- Status changed from In Progress to Resolved

- Assignee changed from Katja Luther to Andreas Kohlbecker

please review

#12 - 02/16/2018 01:58 PM - Katja Luther

- Target version changed from Release 4.14 to Release 5.0

#13 - 03/22/2018 11:59 AM - Andreas Kohlbecker
- Status changed from Resolved to Closed

- % Done changed from 0 to 100

excellent! using delete Typedesignation(uuid, uuid) solves the problem.
